apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  labels:
    app: amq-redhat-support
  name: amq-redhat-support
  namespace: amq
spec:
  connectors: []
  acceptors:
    - port: 61617
      verifyHost: false
      trustStoreType: JKS
      expose: false
      name: artemis
      connectionsAllowed: 1000
      amqpMinLargeMessageSize: 102400
      sslEnabled: true
      protocols: 'CORE,AMQP'
      sslSecret: amq-redhat-support-tls-secret
  resourceTemplates:
    - patch:
        kind: StatefulSet
        spec:
          template:
            spec:
              containers:
                - env:
                    - name: AMQ_ROLE
                      value: appl_yam_dev_acces_console
                  name: amq-redhat-support-container
      selector:
        kind: StatefulSet
    - patch:
        kind: StatefulSet
        spec:
          template:
            spec:
              initContainers:
                - args:
                    - '-c'
                    - '/opt/amq/bin/launch.sh && /opt/amq-broker/script/default.sh; echo "Empty management.xml";echo "<management-context xmlns=\"http://activemq.apache.org/schema\" />" > /amq/init/config/amq-broker/etc/management.xml'
                  env:
                    - name: AMQ_ROLE
                      value: appl_yam_dev_acces_console
                  name: amq-redhat-support-container-init
      selector:
        kind: StatefulSet
  brokerProperties:
    - maxDiskUsage=90
    - messageExpiryScanPeriod=30000
    - securityInvalidationInterval=900000
    - authenticationCacheSize=1000
    - authorizationCacheSize=1000
    - clusterConfigurations."my-cluster".initialConnectAttempts=-1
    - clusterConfigurations."my-cluster".reconnectAttempts=-1
    - clusterConfigurations."my-cluster".retryInterval=1000
    - clusterConfigurations."my-cluster".retryIntervalMultiplier=2
    - clusterConfigurations."my-cluster".maxRetryInterval=32000
    - clusterConfigurations."my-cluster".messageLoadBalancingType=ON_DEMAND
    - clusterConfigurations."my-cluster".duplicateDetection=true
    - clusterConfigurations."my-cluster".maxHops=1
    - addressSettings.\"pubsub-*.#\".redistributionDelay=0
    - addressConfigurations."pubsub-sih-dev1-ping".routingTypes=MULTICAST
    - addressConfigurations."pubsub-sih-dev1-ping".queueConfigs."sih-dev1.pubsub-sih-dev1-ping".name=sih-dev1.pubsub-sih-dev1-ping
    - addressConfigurations."pubsub-sih-dev1-ping".queueConfigs."sih-dev1.pubsub-sih-dev1-ping".address=pubsub-sih-dev1-ping
    - addressConfigurations."pubsub-sih-dev1-ping".queueConfigs."sih-dev1.pubsub-sih-dev1-ping".routingType=MULTICAST
    - securityRoles."mops.#".appl_yam_dev_acces_console.edit=true
    - securityRoles."mops.#".appl_yam_dev_acces_console.view=true
  deploymentPlan:
    size: 2
    requireLogin: true
    messageMigration: false
    extraMounts:
      secrets:
        - amq-redhat-support-jaas-config
    managementRBACEnabled: true
    labels:
      ingress.hq/route: '180'
  console:
    expose: true
    sslEnabled: true
    sslSecret: amq-redhat-support-tls-secret
  upgrades:
    enabled: false
    minor: false
